API reference / Operations by tag
ledger
Double-entry ledger entries and balances.
2 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| GET | /ledger/balances | Balances |
| GET | /ledger/entries | Ledger entries |
GET /ledger/balances
Balances
Operation getLedgerBalances. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json LedgerBalanceList |
| default | error | application/json Error |
bash
curl 'https://api.metrixed.com/v1/ledger/balances?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{
"data": [
{}
]
}
GET /ledger/entries
Ledger entries
Operation getLedgerEntries. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | no | |
page_size | query | integer | no | |
sort | query | string | no | field or -field |
include | query | string | no | comma-separated relationships |
filter | query | object (free-form) | no | |
q | query | string | no | free-text search |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json LedgerEntryList |
| default | error | application/json Error |
bash
curl 'https://api.metrixed.com/v1/ledger/entries?page=1&page_size=50' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{
"data": [
{}
],
"page": {}
}